<script>
    function searchone4reload(fileid){
        var url = "<%= searchone4reload_course_files_path(@course)%>";
        var data = {};data.fileid=fileid;
        $.ajax({
            url:url,dataType:'text',data:data,success:function(text){
                var container_file_div = $("#container_files_"+fileid);
                container_file_div.after(text);
                container_file_div.remove();
            }
        });
    }
    function show_upload(obj)
    {
        switch(obj)
        {
            case 1:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 1}) %>');
                break;
            case 2:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 2}) %>');
                break;
            case 3:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 3}) %>');
                break;
            case 4:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 4}) %>');
                break;
            default:
                $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course,:course_attachment_type => 5}) %>');
        }
        showModal('ajax-modal', '513px');
        $('#ajax-modal').siblings().remove();
        $('#ajax-modal').before("<a href='javascript:void(0)' onclick='closeModal()' style='margin-left: 480px;'><img src='/images/bid/close.png' width='26px' height='26px' /></a>");
        $('#ajax-modal').parent().css("top","").css("left","");
        $('#ajax-modal').parent().addClass("popbox_polls");
    }

    function closeModal()
    {
        hideModal($("#popbox_upload"));
    }

    function presscss(id)
    {
        if(id == "incourse")
        {
            $('#incourse').attr("class", "re_schbtn b_dblue");
            $('#insite').attr("class", "re_schbtn b_lblue");
        }
        else
        {
            $('#incourse').attr("class", "re_schbtn b_lblue");
            $('#insite').attr("class", "re_schbtn b_dblue");
        }
    }
    function buttoncss()
    {
        $('#incourse').attr("class", "re_schbtn b_lblue");
        $('#insite').attr("class", "re_schbtn b_lblue");
    }
</script>

<div class="container">
  <div class="resource"><!--资源库内容开始--->
    <div class="re_top">
      <%= form_tag( search_course_files_path(@course), method: 'get',:class => "re_search f_l",:remote=>true) do %>
          <%= text_field_tag 'name', params[:name], name: "name", :class => 're_schbox',:style=>"padding: 0px"%>
          <%= submit_tag "课内搜索", :class => "re_schbtn b_lblue",:name => "incourse",:id => "incourse", :onmouseover => "presscss('incourse')",:onmouseout =>"buttoncss()" %>
          <%= submit_tag "全站搜索", :class => "re_schbtn b_lblue",:name => "insite",:id => "insite",:onmouseover => "presscss('insite')",:onmouseout =>"buttoncss()" %>
      <% end %>
      <% if is_course_teacher(User.current,@course) %>  <!-- show_window('light','fade','20%','35%')-->
          <!--<a href="javascript:void(0)" class="re_fabu f_r b_lblue" onclick="show_upload();">上传资源</a>-->
          <p class="c_grey fr mt10 mr5">
            上传：
            <a href="javascript:void(0);" class=" c_dblue font_bold" onclick="show_upload(1);">课件</a>&nbsp;|&nbsp;
            <a href="javascript:void(0);" class=" c_dblue font_bold" onclick="show_upload(2);">软件</a>&nbsp;|&nbsp;
            <a href="javascript:void(0);" class=" c_dblue font_bold" onclick="show_upload(3);">媒体</a>&nbsp;|&nbsp;
            <a href="javascript:void(0);" class=" c_dblue font_bold" onclick="show_upload(4);">代码</a>&nbsp;|&nbsp;
            <a href="javascript:void(0);" class=" c_dblue font_bold" onclick="show_upload(5);">其他</a>
          </p>
      <% end %>
    </div><!---re_top end-->
    <div class="cl"></div>

    <div class="re_con" id="course_list">
      <%= render :partial => 'course_list',:locals => {course: @course,all_attachments: @all_attachments,sort:@sort,order:@order,curse_attachments:@obj_attachments}  %>
    </div><!---re_con end-->

  </div>
</div>
<% html_title(l(:label_attachment_plural)) -%>